## glibc 2.3.5cs2005q3.2-5.osso12

=== Makefile ===
# Copyright (C) 1991-2002, 2003, 2004, 2005 Free Software Foundation, Inc.
# This file is part of the GNU C Library.

# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.

# The GNU C Library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.

# You should have received a copy of the GNU Lesser General Public
# License along with the GNU C Library; if not, write to the Free
# Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

#
#	Master Makefile for the GNU C library
#
ifneq (,)
This makefile requires GNU Make.
endif

include Makeconfig


# This is the default target; it makes everything except the tests.
.PHONY: all
all: lib others

ifneq ($(AUTOCONF),no)

ifeq ($(with-cvs),yes)
define autoconf-it-cvs
test ! -d CVS || cvs $(CVSOPTS) commit -m'Regenerated: autoconf $(ACFLAGS) $<' $@
endef
else
autoconf-it-cvs =
endif

define autoconf-it
@-rm -f $@.new
$(AUTOCONF) $(ACFLAGS) $< > $@.new
chmod a-w,a+x $@.new
mv -f $@.new $@
$(autoconf-it-cvs)
endef

configure: configure.in aclocal.m4; $(autoconf-it)
%/configure: %/configure.in aclocal.m4; $(autoconf-it)

endif # $(AUTOCONF) = no


# We don't want to run anything here in parallel.
.NOTPARALLEL:

# These are the targets that are made by making them in each subdirectory.
+subdir_targets	:= subdir_lib objects objs others subdir_mostlyclean	\
		   subdir_clean subdir_distclean subdir_realclean	\
		   tests xtests subdir_lint.out				\
		   subdir_update-abi subdir_check-abi 			\
		   subdir_echo-headers 					\
		   subdir_install					\
		   subdir_testclean					\
		   $(addprefix install-, no-libc.a bin lib data headers others)

headers := limits.h values.h features.h gnu-versions.h bits/libc-lock.h \
	   bits/xopen_lim.h gnu/libc-version.h bits/predefs.h

echo-headers: subdir_echo-headers

# The headers are in the include directory.
subdir-dirs = include
vpath %.h $(subdir-dirs)

# What to install.
install-others = $(inst_includedir)/gnu/stubs.h
install-bin-script =

ifeq (yes,$(build-shared))
headers += gnu/lib-names.h
endif

include Makerules

ifeq ($(build-programs),yes)
others: $(addprefix $(objpfx),$(install-bin-script))
endif

# Install from subdirectories too.
install: subdir_install

# Explicit dependency so that `make install-headers' works
install-headers: install-headers-nosubdir

# Make sure that the dynamic linker is installed before libc.
$(inst_slibdir)/libc-$(version).so: elf/ldso_install

.PHONY: elf/ldso_install
elf/ldso_install:
	$(MAKE) -C $(@D) $(@F)

# Create links for shared libraries using the `ldconfig' program if possible.
# Ignore the error if we cannot update /etc/ld.so.cache.
ifeq (no,$(cross-compiling))
ifeq (yes,$(build-shared))
install: install-symbolic-link
.PHONY: install-symbolic-link
install-symbolic-link: subdir_install
	$(symbolic-link-prog) $(symbolic-link-list)
	rm -f $(symbolic-link-list)

install:
	-test ! -x $(common-objpfx)elf/ldconfig || LC_ALL=C LANGUAGE=C \
	  $(common-objpfx)elf/ldconfig $(addprefix -r ,$(install_root)) \
				       $(slibdir) $(libdir)
ifneq (no,$(PERL))
ifeq (/usr,$(prefix))
ifeq (,$(install_root))
	CC="$(CC)" $(PERL) scripts/test-installation.pl $(common-objpfx)
endif
endif
endif
endif
endif

# Build subdirectory lib objects.
lib-noranlib: subdir_lib

ifeq (yes,$(build-shared))
# Build the shared object from the PIC object library.
lib: $(common-objpfx)libc.so
endif


# This is a handy script for running any dynamically linked program against
# the current libc build for testing.
$(common-objpfx)testrun.sh: $(common-objpfx)config.make \
			    $(..)Makeconfig $(..)Makefile
	(echo '#!/bin/sh'; \
	 echo "GCONV_PATH='$(common-objpfx)iconvdata' \\"; \
	 echo 'exec $(run-program-prefix) $${1+"$$@"}'; \
	) > $@T
	chmod a+x $@T
	mv -f $@T $@
postclean-generated += testrun.sh

others: $(common-objpfx)testrun.sh

# Makerules creates a file `stubs' in each subdirectory, which
# contains `#define __stub_FUNCTION' for each function defined in that
# directory which is a stub.
# Here we paste all of these together into <gnu/stubs.h>.

subdir-stubs := $(foreach dir,$(subdirs),$(common-objpfx)$(dir)/stubs)

# Since stubs.h is never needed when building the library, we simplify the
# hairy installation process by producing it in place only as the last part
# of the top-level `make install'.  It depends on subdir_install, which
# iterates over all the subdirs; subdir_install in each subdir depends on
# the subdir's stubs file.  Having more direct dependencies would result in
# extra iterations over the list for subdirs and many recursive makes.
$(inst_includedir)/gnu/stubs.h: include/stubs-prologue.h subdir_install
	$(make-target-directory)
	@rm -f $(objpfx)stubs.h
	(sed '/^@/d' $<; LC_ALL=C sort $(subdir-stubs)) > $(objpfx)stubs.h
	if test -r $@ && cmp -s $(objpfx)stubs.h $@; \
	then echo 'stubs.h unchanged'; \
	else $(INSTALL_DATA) $(objpfx)stubs.h $@; fi
	rm -f $(objpfx)stubs.h

# This makes the Info or DVI file of the documentation from the Texinfo source.
.PHONY: info dvi pdf html
info dvi pdf html:
	$(MAKE) $(PARALLELMFLAGS) -C manual $@

# This makes all the subdirectory targets.

# For each target, make it depend on DIR/target for each subdirectory DIR.
$(+subdir_targets): %: $(addsuffix /%,$(subdirs))

# Compute a list of all those targets.
all-subdirs-targets := $(foreach dir,$(subdirs),\
				 $(addprefix $(dir)/,$(+subdir_targets)))

# The action for each of those is to cd into the directory and make the
# target there.
$(all-subdirs-targets):
	$(MAKE) $(PARALLELMFLAGS) -C $(@D) $(@F)

.PHONY: $(+subdir_targets) $(all-subdirs-targets)

# Targets to clean things up to various degrees.

.PHONY: clean realclean distclean distclean-1 parent-clean parent-mostlyclean \
	tests-clean

# Subroutines of all cleaning targets.
parent-mostlyclean: common-mostlyclean # common-mostlyclean is in Makerules.
	-rm -f $(foreach o,$(object-suffixes-for-libc),\
		   $(common-objpfx)$(patsubst %,$(libtype$o),c)) \
	       $(addprefix $(objpfx),$(install-lib))
parent-clean: parent-mostlyclean common-clean

postclean = $(addprefix $(common-objpfx),$(postclean-generated)) \
	    $(addprefix $(objpfx),sysd-dirs sysd-rules) \
	    $(addprefix $(objpfx),sysd-sorted soversions.mk soversions.i)

clean: parent-clean
# This is done this way rather than having `subdir_clean' be a
# dependency of this target so that libc.a will be removed before the
# subdirectories are dealt with and so they won't try to remove object
# files from it when it's going to be removed anyway.
	@$(MAKE) subdir_clean no_deps=t
	-rm -f $(postclean)
mostlyclean: parent-mostlyclean
	@$(MAKE) subdir_mostlyclean no_deps=t
	-rm -f $(postclean)

tests-clean:
	@$(MAKE) subdir_testclean no_deps=t

tests: $(objpfx)c++-types-check.out
ifneq ($(CXX),no)
check-data := $(firstword $(wildcard \
	        $(foreach M,$(config-machine) $(base-machine),\
			  scripts/data/c++-types-$M-$(config-os).data)))
ifneq (,$(check-data))
$(objpfx)c++-types-check.out: $(check-data)
	scripts/check-c++-types.sh $^ $(CXX) $(filter-out -std=gnu99 -Wstrict-prototypes,$(CFLAGS)) $(CPPFLAGS) > $@
else
$(objpfx)c++-types-check.out:
	@echo 'WARNING C++ tests not run; create a c++-types-XXX file'
	@echo "not run" > $@
endif
endif

# The realclean target is just like distclean for the parent, but we want
# the subdirs to know the difference in case they care.
realclean distclean: parent-clean
# This is done this way rather than having `subdir_distclean' be a
# dependency of this target so that libc.a will be removed before the
# subdirectories are dealt with and so they won't try to remove object
# files from it when it's going to be removed anyway.
	@$(MAKE) distclean-1 no_deps=t distclean-1=$@ avoid-generated=yes \
		 sysdep-subdirs="$(sysdep-subdirs)"
	-rm -f $(postclean)

# Subroutine of distclean and realclean.
distclean-1: subdir_$(distclean-1)
	-rm -f $(config-generated)
	-rm -f $(addprefix $(objpfx),config.status config.cache config.log)
	-rm -f $(addprefix $(objpfx),config.make config-name.h config.h)
ifdef objdir
	-rm -f $(objpfx)Makefile
endif
	-rm -f $(sysdep-$(distclean-1))

# Make the distribution tarfile.
.PHONY: dist tag-for-dist

generated := $(generated) stubs.h

README: README.template version.h
	-rm -f $@
	sed -e 's/RELEASE/$(release)/' -e 's/VERSION/$(version)/' < $< > $@
# Make it unwritable so I won't change it by mistake.
	chmod 444 $@
ifeq ($(with-cvs),yes)
	test ! -d CVS || cvs $(CVSOPTS) commit -m'Remade for $(release)-$(version)' $@
endif

files-for-dist := README FAQ INSTALL NOTES configure

tag-of-stem = glibc-$(subst .,_,$*)

# Add-ons in the main repository but distributed in their own tar files.
dist-separate = libidn linuxthreads

# Directories in each add-on.
dist-separate-libidn = libidn
dist-separate-linuxthreads = linuxthreads linuxthreads_db

glibc-%.tar $(dist-separate:%=glibc-%-%.tar): $(files-for-dist) \
					      $(foreach D,$(dist-separate),\
							$D/configure)
	@rm -fr glibc-$*
	$(MAKE) -q `find sysdeps $(addsuffix /sysdeps,$(add-ons)) \
			 -name configure`
	cvs $(CVSOPTS) -Q export -d glibc-$* -r $(tag-of-stem) libc
# Touch all the configure scripts going into the tarball since cvs export
# might have delivered configure.in newer than configure.
	find glibc-$* -name configure -print | xargs touch
	$(dist-do-separate-dirs)
	tar cf glibc-$*.tar glibc-$*
	rm -fr glibc-$*
define dist-do-separate-dirs
$(foreach dir,$(dist-separate),
	tar cf glibc-$(dir)-$*.tar -C glibc-$* $(dist-separate-$(dir))
	rm -rf $(addprefix glibc-$*/,$(dist-separate-$(dir)))
)
endef

# Do `make dist dist-version=X.Y.Z' to make tar files of an older version.
dist-version = $(version)

dist: $(foreach Z,.bz2 .gz,glibc-$(dist-version).tar$Z \
		           $(foreach D,$(dist-separate),\
				     glibc-$D-$(dist-version).tar$Z))
	md5sum $^

tag-for-dist: tag-$(dist-version)
tag-%: $(files-for-dist)
	cvs $(CVSOPTS) -Q tag -c $(tag-of-stem)

define format-me
@rm -f $@
makeinfo --no-validate --no-warn --no-headers $< -o $@
-chmod a-w $@
endef
INSTALL: manual/install.texi; $(format-me)
NOTES: manual/creature.texi; $(format-me)
manual/dir-add.texi manual/dir-add.info: FORCE
	$(MAKE) $(PARALLELMFLAGS) -C $(@D) $(@F)
FAQ: scripts/gen-FAQ.pl FAQ.in
	$(PERL) $^ > $@.new && rm -f $@ && mv $@.new $@ && chmod a-w $@
ifeq ($(with-cvs),yes)
	test ! -d CVS || cvs $(CVSOPTS) commit -m'Regenerated:  $(PERL) $^' $@
endif
FORCE:

iconvdata/% localedata/% po/% manual/%:
	$(MAKE) $(PARALLELMFLAGS) -C $(@D) $(@F)

# glibc 2.0 contains some header files which aren't used with glibc 2.1
# anymore.
# These rules should remove those headers
ifeq (,$(install_root))
ifeq ($(old-glibc-headers),yes)
install: remove-old-headers
endif
endif

headers2_0 := 	__math.h bytesex.h confname.h direntry.h elfclass.h  	\
		errnos.h fcntlbits.h huge_val.h ioctl-types.h 		\
		ioctls.h iovec.h jmp_buf.h libc-lock.h local_lim.h 	\
		mathcalls.h mpool.h nan.h ndbm.h posix1_lim.h  		\
		posix2_lim.h posix_opt.h resourcebits.h schedbits.h 	\
		selectbits.h semaphorebits.h sigaction.h sigcontext.h 	\
		signum.h sigset.h sockaddrcom.h socketbits.h stab.def 	\
		statbuf.h statfsbuf.h stdio-lock.h stdio_lim.h 		\
		syscall-list.h termbits.h timebits.h ustatbits.h 	\
		utmpbits.h utsnamelen.h waitflags.h waitstatus.h 	\
		xopen_lim.h gnu/types.h sys/ipc_buf.h 			\
		sys/kernel_termios.h sys/msq_buf.h sys/sem_buf.h 	\
		sys/shm_buf.h sys/socketcall.h sigstack.h

.PHONY: remove-old-headers
remove-old-headers:
	rm -f $(addprefix $(inst_includedir)/, $(headers2_0))

=== sysdeps/arm/Makefile ===
ifeq ($(subdir),csu)
# get offset to rtld_global._dl_hwcap
gen-as-const-headers += rtld-global-offsets.sym
endif

=== debian/changelog ===
glibc (2.3.5cs2005q3.2-5.osso12) unstable; urgency=low

  * Added linuxthreads-poll.diff. Fixes: NB#44468

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 17 Nov 2006 14:09:55 +0200

glibc (2.3.5cs2005q3.2-5.osso11) unstable; urgency=low

  * Fixed en_US and pl_PL locales

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 16 Nov 2006 20:31:05 +0200

glibc (2.3.5cs2005q3.2-5.osso10) unstable; urgency=low

  * Fix bashism in postinst
  * Removed zone_banner calls to avoid use of busybox's date.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 12 Oct 2006 14:26:45 +0300

glibc (2.3.5cs2005q3.2-5.osso9) unstable; urgency=low

  * Take away parallel build.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  4 Oct 2006 14:40:05 +0300

glibc (2.3.5cs2005q3.2-5.osso8) experimental; urgency=low

  * Revert EABI syscalls patch
  * Handle libpthread like a normal library. Thanks to Eero.
    Fixes: NB#41486
  * Fix DEB_BUILD_OPTIONS handling. Thanks to Eero.
    Fixes: NB#40445
  * Fix libc.so linker script search. Thanks to Eero.
    Fixes: NB#40443
  * applied tls_modid-assert-fix
  * removed linux-kernel-headers build dependence

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  4 Oct 2006 11:23:29 +0300

glibc (2.3.5cs2005q3.2-5.osso6) experimental; urgency=low

  * Make arch minimum version 2.6.14 to fix scratchbox build.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 27 Sep 2006 13:01:33 +0300

glibc (2.3.5cs2005q3.2-5.osso5) experimental; urgency=low

  * Depend of correct headers.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 14 Sep 2006 18:46:08 +0300

glibc (2.3.5cs2005q3.2-5.osso4) experimental; urgency=low

  * Use EABI syscalls. Fixes: NB#38468

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 14 Sep 2006 18:33:01 +0300

glibc (2.3.5cs2005q3.2-5.osso3) experimental; urgency=low

  * use PLD. Fixes: NB#37628

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 21 Aug 2006 13:02:22 +0300

glibc (2.3.5cs2005q3.2-5.osso2) experimental; urgency=low

  * memset() optimization back for this branch. Fixes: NB#35862 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  2 Aug 2006 11:45:54 +0300

glibc (2.3.5cs2005q3.2-5.osso1) experimental; urgency=low

  * Creating branch, 5.osso
  * Added -fno-omit-frame-pointer to some functions to simplify debugging

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 31 Jul 2006 16:51:00 +0300

## glibc 2.5.0-1osso7

=== debian/changelog ===
glibc (2.5.0-1osso7) unstable; urgency=low

  * Build i386 --with-fp. Fixes: NB#65505

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 05 Sep 2007 16:03:44 +0300

glibc (2.5.0-1osso6) unstable; urgency=low

  * postinst: removed debian stuff. Fixes: NB#65423 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 17 Aug 2007 12:04:10 +0300

glibc (2.5.0-1osso5) unstable; urgency=low

  * Removed crypt/speeds.c, legal issues. Fixes: NB#53920
  * Fixed shlibver for the current version

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 11 Apr 2007 14:22:35 +0300

glibc (2.5.0-1osso4) unstable; urgency=low

  * ARMEL: use VFP for libm.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 13 Feb 2007 16:28:03 +0200

glibc (2.5.0-1osso3) unstable; urgency=low

  * Added kernel version hack for armel

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  7 Feb 2007 16:30:54 +0200

glibc (2.5.0-1osso2.1) unstable; urgency=low

  * linux-kernel-headers depend temporary added

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 25 Jan 2007 14:59:18 +0200

glibc (2.5.0-1osso2) unstable; urgency=low

  * Added optimized functions 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 16 Jan 2007 13:22:39 +0200

glibc (2.5.0-1osso1) unstable; urgency=low

  * New upstream release
  * NPTL build
  * pure EABI build

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue,  5 Dec 2006 12:29:34 +0200

## glibc 2.5.0-1osso9

=== debian/changelog ===
glibc (2.5.0-1osso9) unstable; urgency=low

  * Update timezone data to 2008b. Fixes: NB#82346
  * Do not remove CP1252 gconv module. Fixes: NB#83152

 -- Jari Tenhunen <jari.tenhunen@nokia.com>  Wed, 28 May 2008 15:13:53 +0300

glibc (2.5.0-1osso8) unstable; urgency=low

  * Added gconv modules

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 21 Nov 2007 14:34:24 +0200

=== debian/control ===
Source: glibc
Section: libs
Priority: required
Build-Depends: gettext (>= 0.10.37-1), make (>= 3.80-1), dpkg-dev (>= 1.13.5), debianutils (>= 1.13.1), tar (>= 1.13.11), bzip2, texinfo (>= 4.0), linux-kernel-headers (>= 2.6.12) [!hurd-i386], mig (>= 1.3-2) [hurd-i386], hurd-dev (>= 20020608-1) [hurd-i386], gnumach-dev [hurd-i386], texi2html, file, gcc-3.4 [!powerpc !m68k !hppa !hurd-i386], gcc-3.4 (>= 3.4.4-6) [powerpc], gcc-3.4 [m68k hppa], gcc-3.3 [hurd-i386], autoconf, binutils (>= 2.16.1cvs20051109-1), sed (>= 4.0.5-4), gawk, debhelper (>= 4.1.76), libncurces-dev | libncurses5-dev, linux-kernel-headers (>= 2.6.16.osso11)
Build-Depends-Indep: perl, po-debconf
Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
Uploaders: Ben Collins <bcollins@debian.org>, GOTO Masanori <gotom@debian.org>, Philip Blundell <pb@nexus.co.uk>, Jeff Bailey <jbailey@raspberryginger.com>, Daniel Jacobowitz <dan@debian.org>, Clint Adams <schizo@debian.org>, Denis Barbier <barbier@debian.org>
Standards-Version: 3.6.2

Package: glibc-doc
Architecture: all
Section: doc
Priority: optional
Conflicts: libc-doc, libc6-doc, glibcdoc
Replaces: libc-doc, libc6-doc, glibcdoc
Provides: libc-doc
Description: GNU C Library: Documentation
 Contains The GNU C Library Reference manual in info and html format as
 well as man pages for libpthread functions. Also included is the complete
 GNU C Library ChangeLog.

Package: locales
Architecture: any
Section: libs
Priority: standard
Provides: i18ndata
Depends: ${locale:Depends}, debconf | debconf-2.0
Conflicts: localebin, wg15-locale, i18ndata, locale-ja, locale-ko, locale-vi, locale-zh, base-config
Replaces: localebin, wg15-locale, libc6-bin, i18ndata, glibc2, locale-ja, locale-ko, locale-vi, locale-zh, base-config
Description: GNU C Library: National Language (locale) data [support]
 Machine-readable data files, shared objects and programs used by the
 C library for localization (l10n) and internationalization (i18n) support.
 .
 This package contains the libc.mo i18n files, plus tools to generate
 locale definitions from source files (included in this package). It allows
 you to customize which definitions actually get generated. This is a
 savings over how this package used to be, where all locales were generated
 by default. This created a package that unpacked to an excess of 30 megs.

Package: nscd
Architecture: alpha amd64 arm armel armeb i386 m68k mips mipsel powerpc sparc ia64 hppa s390 sh3 sh4 sh3eb sh4eb freebsd-i386
Section: admin
Priority: optional
Depends: libc6 (>= ${Source-Version})
Replaces: libc6 (<< 2.1-4)
Description: GNU C Library: Name Service Cache Daemon
 A daemon which handles passwd, group and host lookups
 for running programs and caches the results for the next
 query. You should install this package only if you use
 slow Services like LDAP, NIS or NIS+

Package: libc6
Architecture: amd64 arm armel armeb i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
Section: libs
Priority: required
Provides: ${locale:Depends}
Description: GNU C Library: Shared libraries and Timezone data
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.
 Timezone data is also included.

Package: libc6-dev
Architecture: amd64 arm armel armeb i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
Section: libdevel
Priority: standard
Depends: libc6 (= ${Source-Version}), linux-kernel-headers
Recommends: gcc | c-compiler
Description: GNU C Library: Development Libraries and Header Files
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.

Package: libc6-dbg
Architecture: amd64 arm armel armeb i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
Section: libdevel
Priority: extra
Provides: libc-dbg
Depends: libc6 (= ${Source-Version})
Description: GNU C Library: Libraries with debugging symbols
 Contains unstripped shared libraries.
 This package is provided primarily to provide a backtrace with
 names in a debugger, this makes it somewhat easier to interpret core
 dumps. The libraries are installed in /usr/lib/debug and can be
 used by placing that directory in LD_LIBRARY_PATH.
 Most people will not need this package.

Package: libc6-prof
Architecture: amd64 arm armel armeb i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
Section: libdevel
Priority: extra
Depends: libc6 (= ${Source-Version})
Description: GNU C Library: Profiling Libraries
 Static libraries compiled with profiling info (-pg) suitable for use
 with gprof.

Package: libc6-pic
Architecture: amd64 arm armel armeb i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
Section: libdevel
Priority: optional
Conflicts: libc-pic
Provides: libc-pic, glibc-pic
Depends: libc6 (= ${Source-Version})
Description: GNU C Library: PIC archive library
 Contains an archive library (ar file) composed of individual shared objects.
 This is used for creating a library which is a smaller subset of the
 standard libc shared library. The reduced library is used on the Debian
 boot floppies. If you are not making your own set of Debian boot floppies
 using the `boot-floppies' package, you probably don't need this package.

Package: libc6-udeb
XC-Package-Type: udeb
Architecture: amd64 arm armel armeb i386 m68k mips mipsel powerpc sparc s390 hppa sh3 sh4 sh3eb sh4eb
Section: debian-installer
Priority: extra
Provides: libc6, libc-udeb, ${locale:Depends}
Description: GNU C Library: Shared libraries - udeb
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.
 .
 This package contains a minimal set of libraries needed for the Debian
 installer.  Do not install it on a normal system.

Package: libc6.1
Architecture: alpha ia64
Section: libs
Priority: required
Provides: ${locale:Depends}
Description: GNU C Library: Shared libraries and Timezone data
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.
 Timezone data is also included.

Package: libc6.1-dev
Architecture: alpha ia64
Section: libdevel
Priority: standard
Depends: libc6.1 (= ${Source-Version})
Recommends: gcc | c-compiler
Description: GNU C Library: Development Libraries and Header Files
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.

Package: libc6.1-dbg
Architecture: alpha ia64
Section: libdevel
Priority: extra
Provides: libc-dbg
Depends: libc6.1 (= ${Source-Version})
Description: GNU C Library: Libraries with debugging symbols
 Contains unstripped shared libraries.
 This package is provided primarily to provide a backtrace with
 names in a debugger, this makes it somewhat easier to interpret core
 dumps. The libraries are installed in /usr/lib/debug and can be
 used by placing that directory in LD_LIBRARY_PATH.
 Most people will not need this package.

Package: libc6.1-prof
Architecture: alpha ia64
Section: libdevel
Priority: extra
Depends: libc6.1 (= ${Source-Version})
Description: GNU C Library: Profiling Libraries
 Static libraries compiled with profiling info (-pg) suitable for use
 with gprof.

Package: libc6.1-pic
Architecture: alpha ia64
Section: libdevel
Priority: optional
Conflicts: libc-pic
Provides: libc-pic, glibc-pic
Depends: libc6.1 (= ${Source-Version})
Description: GNU C Library: PIC archive library
 Contains an archive library (ar file) composed of individual shared objects.
 This is used for creating a library which is a smaller subset of the
 standard libc shared library. The reduced library is used on the Debian
 boot floppies. If you are not making your own set of Debian boot floppies
 using the `boot-floppies' package, you probably don't need this package.

Package: libc6.1-udeb
XC-Package-Type: udeb
Architecture: alpha ia64
Section: debian-installer
Priority: extra
Provides: libc6.1, libc-udeb, ${locale:Depends}
Description: GNU C Library: Shared libraries - udeb
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.
 .
 This package contains a minimal set of libraries needed for the Debian
 installer.  Do not install it on a normal system.

Package: libc0.3
Architecture: hurd-i386
Section: libs
Priority: required
Provides: ${locale:Depends}
Description: GNU C Library: Shared libraries and Timezone data
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.
 Timezone data is also included.

Package: libc0.3-dev
Architecture: hurd-i386
Section: libdevel
Priority: standard
Depends: libc0.3 (= ${Source-Version})
Recommends: gcc | c-compiler
Description: GNU C Library: Development Libraries and Header Files
 Contains the symlinks, headers, and object files needed to compile
 and link programs which use the standard C library.

Package: libc0.3-dbg
Architecture: hurd-i386
Section: libdevel
Priority: extra
Provides: libc-dbg
Depends: libc0.3 (= ${Source-Version})
Description: GNU C Library: Libraries with debugging symbols
 Contains unstripped shared libraries.
 This package is provided primarily to provide a backtrace with
 names in a debugger, this makes it somewhat easier to interpret core
 dumps. The libraries are installed in /usr/lib/debug and can be
 used by placing that directory in LD_LIBRARY_PATH.
 Most people will not need this package.

Package: libc0.3-prof
Architecture: hurd-i386
Section: libdevel
Priority: extra
Depends: libc0.3 (= ${Source-Version})
Description: GNU C Library: Profiling Libraries
 Static libraries compiled with profiling info (-pg) suitable for use
 with gprof.

Package: libc0.3-pic
Architecture: hurd-i386
Section: libdevel
Priority: optional
Conflicts: libc-pic
Provides: libc-pic, glibc-pic
Depends: libc0.3 (= ${Source-Version})
Description: GNU C Library: PIC archive library
 Contains an archive library (ar file) composed of individual shared objects.
 This is used for creating a library which is a smaller subset of the
 standard libc shared library. The reduced library is used on the Debian
 boot floppies. If you are not making your own set of Debian boot floppies
 using the `boot-floppies' package, you probably don't need this package.

Package: libc0.3-udeb
XC-Package-Type: udeb
Architecture: hurd-i386
Section: debian-installer
Priority: extra
Provides: libc0.3, libc-udeb, ${locale:Depends}
Description: GNU C Library: Shared libraries - udeb
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.
 .
 This package contains a minimal set of libraries needed for the Debian
 installer.  Do not install it on a normal system.

Package: libc1
Architecture: freebsd-i386
Section: libs
Priority: required
Provides: ${locale:Depends}
Description: GNU C Library: Shared libraries and Timezone data
 Contains the standard libraries that are used by nearly all programs on
 the system. This package includes shared versions of the standard C library
 and the standard math library, as well as many others.
 Timezone data is also included.

Package: libc1-dev
Architecture: freebsd-i386
Section: libdevel
Priority: standard
Depends: libc1 (= ${Source-Version})
Recommends: gcc | c-compiler
Description: GNU C Library: Development Libraries and Header Files
 Contains the symlinks, headers, and object files needed to compile

## glibc 2.5.0-1osso10

=== debian/changelog ===
glibc (2.5.0-1osso10) unstable; urgency=low

  * Fix in libc.postinst, Fixes: NB#86183
  * Fix typo in debian/control, Fixes: NB#88589

 -- Grigori Timonen <grigori.timonen@nokia.com>  Thu, 18 Sep 2008 11:18:44 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: glibc
 Section: libs
 Priority: required
-Build-Depends: gettext (>= 0.10.37-1), make (>= 3.80-1), dpkg-dev (>= 1.13.5), debianutils (>= 1.13.1), tar (>= 1.13.11), bzip2, texinfo (>= 4.0), linux-kernel-headers (>= 2.6.12) [!hurd-i386], mig (>= 1.3-2) [hurd-i386], hurd-dev (>= 20020608-1) [hurd-i386], gnumach-dev [hurd-i386], texi2html, file, gcc-3.4 [!powerpc !m68k !hppa !hurd-i386], gcc-3.4 (>= 3.4.4-6) [powerpc], gcc-3.4 [m68k hppa], gcc-3.3 [hurd-i386], autoconf, binutils (>= 2.16.1cvs20051109-1), sed (>= 4.0.5-4), gawk, debhelper (>= 4.1.76), libncurces-dev | libncurses5-dev, linux-kernel-headers (>= 2.6.16.osso11)
+Build-Depends: gettext (>= 0.10.37-1), make (>= 3.80-1), dpkg-dev (>= 1.13.5), debianutils (>= 1.13.1), tar (>= 1.13.11), bzip2, texinfo (>= 4.0), linux-kernel-headers (>= 2.6.12) [!hurd-i386], mig (>= 1.3-2) [hurd-i386], hurd-dev (>= 20020608-1) [hurd-i386], gnumach-dev [hurd-i386], texi2html, file, gcc-3.4 [!powerpc !m68k !hppa !hurd-i386], gcc-3.4 (>= 3.4.4-6) [powerpc], gcc-3.4 [m68k hppa], gcc-3.3 [hurd-i386], autoconf, binutils (>= 2.16.1cvs20051109-1), sed (>= 4.0.5-4), gawk, debhelper (>= 4.1.76), libncurses-dev | libncurses5-dev, linux-kernel-headers (>= 2.6.16.osso11)
 Build-Depends-Indep: perl, po-debconf
 Maintainer: GNU Libc Maintainers <debian-glibc@lists.debian.org>
 Uploaders: Ben Collins <bcollins@debian.org>, GOTO Masanori <gotom@debian.org>, Philip Blundell <pb@nexus.co.uk>, Jeff Bailey <jbailey@raspberryginger.com>, Daniel Jacobowitz <dan@debian.org>, Clint Adams <schizo@debian.org>, Denis Barbier <barbier@debian.org>

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-
# debian/rules file for GNU libc.
# Copyright 1998, 1999 by Joel Klecker <espy@debian.org>
# Copyright 2000 Ben Collins <bcollins@debian.org>
# Copyright 2003 Jeff Bailey <jbailey@debian.org>
# This Makefile is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# What are the phases to building glibc?

# Unpack main tarball
# Do any necessary overlays
# Apply patches
# Determine how many builds there are to do.  For Each build:

#  Create build directory
#  Configure
#  Build
#  Test as desired
#  Install to package directories

# Run debian magic to build packages.

# Things you may need to customise:
DEB_BUILD_OPTIONS += nocheck 

# These are done as absolute paths so that in the case of filesystem size
# limitations, they can be overridden and spread all over.
build-tree := build-tree
stamp := $(CURDIR)/stamp-dir/
DUMMY := $(shell mkdir -p $(stamp))

# The minimum package version with which these packages are compatible.
include debian/shlibver
shlib_dep = $(libc) (>= $(shlib_dep_ver))

# Beyond here you shouldn't need to customise anything:

SHELL                 ?= =/bin/sh -e
DEB_HOST_ARCH         ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU      ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_TYPE     := $(shell gcc -dumpmachine)
DEB_HOST_GNU_SYSTEM   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
DEB_BUILD_ARCH        ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_CPU     ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_BUILD_GNU_TYPE    := $(shell gcc -dumpmachine)
DEB_BUILD_GNU_SYSTEM  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
DEB_HOST_ARCH_OS      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(DEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif

DEB_HOST_GNU_CPU_ALT  ?=
DEB_HOST_GNU_TYPE_ALT ?=

DEB_SOURCE_PACKAGE := $(strip $(shell egrep '^Source: ' debian/control | cut -f 2 -d ':'))

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')

DEB_TARBALL ?= $(shell ls glibc-[0-9.]*.tar.*)

DEB_SRCDIR ?= $(shell ls -d $(build-tree)/glibc-*)
DEB_BUILDDIR ?= $(build-tree)/$(DEB_HOST_ARCH)-$(curpass)

# The kernel uses different CPU appreviations (uname output) than the GNU
# tools do (config.sub).  Map them.
KERNEL_HOST_CPU := $(subst powerpc,ppc,$(DEB_HOST_GNU_CPU))

# How many makes to run at once?
NJOBS = 1
# ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
#     PARALLEL_JOBS := $(shell echo $(DEB_BUILD_OPTIONS) | \
#         sed -n -e 's/.*parallel=\([0-9]\+\).*/\1/p')
#     ifeq (,$(PARALLEL_JOBS))
#         PARALLEL_JOBS := $(shell if [ -f /proc/cpuinfo ]; \
#             then grep -c processor /proc/cpuinfo; \
#             else echo 1; fi)
#     endif
#     NJOBS := $(PARALLEL_JOBS)
#     SETNJOBS := $(NJOBS)
# endif

SETNJOBS := $(NJOBS)


# Default setup
GLIBC_PASSES ?= libc

prefix=/usr
bindir=$(prefix)/bin
datadir=$(prefix)/share
includedir=$(prefix)/include
infodir=$(prefix)/share/info
libdir=$(prefix)/lib
docdir=$(prefix)/share/doc
mandir=$(prefix)/share/man
sbindir=$(prefix)/sbin
libexecdir=$(prefix)/lib

BUILD_CC = gcc

# Set CC for cross-compiling
ifneq ($(DEB_HOST_ARCH),$(DEB_BUILD_ARCH))
CC     = $(DEB_HOST_GNU_TYPE)-gcc
else
CC     = $(BUILD_CC)
endif

BUILD_CFLAGS = -O2 -g
HOST_CFLAGS = -pipe -O2 -fstrict-aliasing -g $(call xx,extra_cflags)

configure_target := $(DEB_HOST_GNU_TYPE)

# Normally we'll just use this for --build.  If the architecture requires
# that build daemons be able to run a particular optimized library, then
# they can set the --build to match --host for that optimized build.
# Among other things this lets tests run.
configure_build := $(DEB_BUILD_GNU_TYPE)

ifneq ($(NO_LOG),yes)
log_build   = $(CURDIR)/log-build-$(call xx,configure_target)-$(curpass)
log_test    = $(CURDIR)/log-test-$(call xx,configure_target)-$(curpass)
else
log_build   := /dev/tty
log_test    := /dev/tty
endif

# Which build pass are we on?
curpass = $(filter-out %_,$(subst _,_ ,$@))

DEB_ARCH_REGULAR_PACKAGES = $(libc) $(libc)-dev $(libc)-dbg $(libc)-prof $(libc)-pic
DEB_INDEP_REGULAR_PACKAGES = glibc-doc locales
DEB_UDEB_PACKAGES = $(libc)-udeb libnss-dns-udeb libnss-files-udeb

# Generic kernel version check
define kernel_check
(if [ $(CURRENT_KERNEL_VERSION) -lt $(1) ]; then \
  false; \
fi)
endef

# Include libidn for both NPTL and LinuxThreads targets.
standard-add-ons = libidn,

# Pull in all the per-arch magic!

#-include debian/sysdeps/$(DEB_HOST_GNU_SYSTEM).mk
-include debian/sysdeps/$(DEB_HOST_ARCH_OS).mk
-include debian/sysdeps/$(DEB_HOST_ARCH).mk

include debian/sysdeps/depflags.mk

# Don't run dh_strip on this package
NOSTRIP_$(libc)-dbg = 1

ifeq ($(threads),yes)
DEB_ARCH_REGULAR_PACKAGES += nscd
endif

# And now the rules...
include debian/rules.d/*.mk

clean:: debhelper-clean
	rm -rf $(patsubst %,debian/tmp-%,$(GLIBC_PASSES))
	rm -rf $(build-tree)
	rm -rf $(stamp)
	rm -f log-*
	rm -rf debian/include

# Required Debian targets
binary-indep: build testroot debian/control $(build-tree) \
	$(patsubst %,$(stamp)install_%,$(GLIBC_PASSES)) \
	$(patsubst %,$(stamp)binaryinst_%,$(DEB_INDEP_REGULAR_PACKAGES))
# NOTE: Putting install_ stamps before binaryinst_ stamps in the list is the
# wrong way to represent dependencies.  Fix this.
binary-arch: build testroot debian/control $(build-tree) \
	$(patsubst %,$(stamp)install_%,$(GLIBC_PASSES)) \
	$(patsubst %,$(stamp)binaryinst_%,$(DEB_ARCH_REGULAR_PACKAGES)) \
	$(patsubst %,$(stamp)binaryinst_%,$(DEB_UDEB_PACKAGES))

binary: binary-indep binary-arch

build:	$(patsubst %,$(stamp)build_%,$(GLIBC_PASSES)) \
	$(patsubst %,$(stamp)check_%,$(GLIBC_PASSES))

testroot:
	dh_testroot

## glibc 2.5.1-1eglibc19+0m5

=== debian/changelog ===
glibc (2.5.1-1eglibc19+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- jussi hakala <ext-jussi.hakala@nokia.com>  Fri, 28 Aug 2009 10:43:27 +0300

glibc (2.5.1-1eglibc19) unstable; urgency=low

  * Better backtrace implementation for armel (Fixes: NB#118496)
    patch by Tommi Rantala

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Wed, 26 Aug 2009 11:31:27 +0300

glibc (2.5.1-1eglibc18+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- jussi hakala <ext-jussi.hakala@nokia.com>  Tue, 18 Aug 2009 11:03:26 +0300

glibc (2.5.1-1eglibc18) unstable; urgency=low

  * Fix for NEON optimized memcpy
  * Fixes: NB#103765 Add eventfd support

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Thu, 13 Aug 2009 16:02:29 +0300

glibc (2.5.1-1eglibc17+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 08 Jul 2009 15:06:26 +0300

glibc (2.5.1-1eglibc17) unstable; urgency=low

  * Fixes: NB#119648 - updated zone.tab with support to GMT+- format

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Wed, 08 Jul 2009 14:32:22 +0300

glibc (2.5.1-1eglibc16+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 03 Jul 2009 17:39:22 +0300

glibc (2.5.1-1eglibc16) unstable; urgency=low

  * Fixes: NB#126121 NEON optimizations for memcpy function
  * Fixes: NB#126047 syslog call optimization in case no syslog installed

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 03 Jul 2009 16:43:28 +0300

glibc (2.5.1-1eglibc15+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 12 Jun 2009 12:24:28 +0300

glibc (2.5.1-1eglibc15) unstable; urgency=low

  * forces /bin/sh as the ldd shell in armel build

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 12 Jun 2009 11:32:25 +0300

glibc (2.5.1-1eglibc14+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 05 Jun 2009 16:04:25 +0300

glibc (2.5.1-1eglibc14) unstable; urgency=low

  * Fixed locales package dependencies

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Fri, 05 Jun 2009 14:00:31 +0300

glibc (2.5.1-1eglibc13+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 25 May 2009 11:22:31 +0300

glibc (2.5.1-1eglibc13) unstable; urgency=low

  * applies the tzdata patch to i386 too
  * Fixes: NB#118415

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  May, 25 May 2009 10:58:31 +0300

glibc (2.5.1-1eglibc12) unstable; urgency=low

  * Defines a new __gnu_mcount_nc entry point for ARM EABI profiling support
  * Removed udeb packages from build
  * Fixes: NB#108117

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Thu, 30 Apr 2009 10:43:45 +0300

glibc (2.5.1-1eglibc11+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 06 Apr 2009 14:31:24 +0300

glibc (2.5.1-1eglibc11) unstable; urgency=low

  * Fixes: NB#104420 - implement SHMLBA correctly for ARM

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 06 Apr 2009 12:41:45 +0300

glibc (2.5.1-1eglibc10) unstable; urgency=low

  * Fixes: NB#104741 make stack non-executable

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 10 Mar 2009 12:22:45 +0200

glibc (2.5.1-1eglibc9) unstable; urgency=low

  * Updated sysdeps/i386/dl-trampoline.S to make running la-trace on
    x86 target possible.
  * Removed gcc-3.4 entries from build-deps
  * Fixes: NB#100061

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 17 Feb 2009 17:40:45 +0200

glibc (2.5.1-1eglibc8) unstable; urgency=low

  * modified fix to get backtraces for noreturn functions to
    use -fno-omit-frame-pointer and -mapcs-frame instead of -O0

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 02 Dec 2008 16:53:45 +0200

glibc (2.5.1-1eglibc7) unstable; urgency=low

  * adds iso-2022 encoding, fixes: NB#85297
  * adds CP1252 encoding, fixes: NB#92227
  * updates stale timezone data, fixes: NB#92229

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 11 Nov 2008 17:43:45 +0200

glibc (2.5.1-1eglibc6) unstable; urgency=low

  * Does not reset timezone to UTC when upgraded
  * Fixes: NB#88466

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Mon, 10 Nov 2008 15:43:45 +0200

glibc (2.5.1-1eglibc5) unstable; urgency=low

  * Added -O0 for armel abort(), exit(), _exit() and assert() functions
    to be able to get backtraces.
  * Added -fgnu89-inline to CFLAGS to suppress inlining warnings during
    compilation.
  * Fixes: NB#88617

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 04 Nov 2008 18:30:45 +0200

glibc (2.5.1-1eglibc4) unstable; urgency=low

  * Does not copy debug symbols from /usr/lib/debug/*.* to the -dbg package
  * Commented out #include <asm/page.h> for arm since it's not provided
    anymore by the linux-kernel-headers package.

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 07 Oct 2008 15:18:45 +0300

glibc (2.5.1-1eglibc3) unstable; urgency=low

  * Repackage with new upstream source from cs2007q3
  * Adjust packaging accordingly
  * Tidy up the changelog

 -- Jussi Hakala <ext-jussi.hakala@nokia.com>  Wed, 17 Sep 2008 11:44:45 +0300

## glibc 2.5.1-1eglibc20%2b0m5

=== debian/changelog ===
glibc (2.5.1-1eglibc20+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 03 Nov 2009 13:43:32 +0200

glibc (2.5.1-1eglibc20) unstable; urgency=low

  * Fixes: NB#145126 Added CP437 codepage for i386

 -- Juha Kallioinen <juha.kallioinen@nokia.com>  Tue, 03 Nov 2009 13:23:27 +0200
